pods::SDLx::SFont(3)

NAME
SDLx::SFont - Extension making fonts out of images and printing them

CATEGORY
Extension

SYNOPSIS
  use SDLx::SFont;
  use SDLx::App;

   #Make a surface
   #Select a font
   my $d = SDLx::App->new( title => 'app', width => 200, height => 200, depth => 32 );

   my $font = SDLx::SFont->new('t/font.png');

   #print using $font

   SDLx::SFont::print_text( $d, 10, 10, 'Huh' );

   my $font2 = SDLx::SFont->new('t/font2.png');

   #print using font2

   SDLx::SFont::print_text( $d, 10, 10, 'Huh' );

   $font->use();

   #print using $font

   SDLx::SFont::print_text( $d, 10, 10, 'Huh' );

   #that is it folks ..

DESCRIPTION
a simpler print function for old SDL::SFont dependency on Frozen-Bubble and Pangzero.

USAGE
see synopsis

BUGS
You tell me! at sdlperl.ath.cx

SUPPORT
#sdl irc.perl.org

AUTHORS
See "AUTHORS" in SDL.

COPYRIGHT
This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.

SEE ALSO
perl(1), SDL(2).